function AnalyzeTool(genericAnalyze,inModel, coordinateFile, initial_time,final_time,ikcutoff,outDir,trialName)
%% Inputs
%genericAnalyze = generic AnalyzeTool setup .xml to be updated
%inModel = scaled subject model (.osim)
%coordinateFile = ik results (*_ik.mot)
%initial_time = start time
%final_time = end time
%ikcuroff = cutoff frequency (12Hz)
%OutDir = location of saved analysis results (subject's ID folder)
%trialName = filename of external loads data (*_12.mot)

%% Instantiate Objects
% Load the OpenSim libaries
import org.opensim.modeling.*
%Instantiate the model
model = Model(inModel);
%% Analyze Tool Set-UP
analysis = AnalyzeTool(genericAnalyze,false);
analysis.setModel(model);
%% Set the Analyze Tool for this specific trial
analysis.setName(trialName(1:end-4));
analysis.setCoordinatesFileName(coordinateFile);
analysis.setStartTime(initial_time);
analysis.setFinalTime(final_time);
analysis.setLowpassCutoffFrequency(ikcutoff);
analysis.setExternalLoadsFileName(fullfile(outDir,'idSettings',[trialName(1:end-4) '_SETUP_ExternalLoads.xml']));
analysis.setResultsDir(outDir);
analysis.setLoadModelAndInput(true);
%print setup .xml file
analysis.print(fullfile(outDir,'idSettings',[trialName(1:end-4) '_SETUP_Analyze.xml']));
analysis.run();
clear all; close all;
end